Subject: RE: [MMUSIC] New ID, related to media stream dependencies

From: "Even, Roni" <[email-masked]>
Date: Tue, 5 Jun 2007 11:13:54 +0300

Hi,
The Capability negotiation draft addresses potential configurations and not real offers. I think that this draft talks about specifying dependencies in offers. Still the capability negotiation work should address it.
As for this draft, I suggest to look at RFC 3388 and http://tools.ietf.org/wg/mmusic/draft-schierl-mmusic-layered-codec-03.txt

I think that the example you gave about video and the text subtitles are handled by the FID attribute in RFC 3388.

If you want to add some semantics to the streams then look at the content attribute in RFC4796 and the layered codecs.

Roni Even

> -----Original Message-----
> From: Dan Wing [mailto:[email-masked]]
> Sent: Friday, January 19, 2007 8:41 PM
> To: 'Schmidt, Christian'
> Cc: 'MMusic'
> Subject: RE: [MMUSIC] New ID, related to media stream dependencies
> 
> (removed internet-drafts from CC list.)
> 
> Can draft-ietf-mmusic-sdp-capability-negotiation-00 provide the same
> functionality?
> 
> -d
> 
> > -----Original Message-----
> > From: Schmidt, Christian [mailto:[email-masked]]
> > Sent: Friday, January 19, 2007 4:04 AM
> > To: [email-masked]
> > Cc: MMusic; Joerg Ott
> > Subject: [MMUSIC] New ID, related to media stream dependencies
> >
> > Dear editor,
> >
> > we would like to submit a new  Internet Draft related to work in the
> > MMUSIC  Working Group (although it is not an official product
> > of the WG).
> >
> > <<draft-schmidt-mmusic-media-dependency-00.txt>>
> >
> > Abstract:
> > The Session Description Protocol (SDP) was intended for describing
> > multimedia sessions for the purposes of session announcement, session
> > invitation, and other forms of multimedia session initiation.
> > Together with Offer/Answer model it defines a mechanism, how two
> > entities can reach a common view of a multimedia session between
> > them.
> >
> > In certain cases, there are dependencies between media streams, for
> > example a text stream for subtitling make sense only together with a
> > video stream.  To avoid senseless connections, the SDP mechanism can
> > be extended with a new Session Description Protocol (SDP) media-level
> > attribute: "dependency".  The "dependency" attribute allows the
> > offerer to define dependencies of media streams.  The updated offer/
> > answer mechanism used with new "dependency" attribute can be used
> > furthermore, that in a multi-party SIP session all participants share
> > at least one common media type.
> >
> > Mit freundlichen Grüßen
> > Christian Schmidt
> >
> > Siemens Networks GmbH & Co. KG
> > St.-Martin-Str. 76
> > 81541 München, Germany
> > Tel.: +49 89 636-75192
> > Fax: +49 89 636-75577
> > [email-masked] <mailto:[email-masked]>
> >
> > Siemens Networks GmbH & Co. KG
> > Geschäftsführer: Joachim Malterer, Roland Meinzer, Christian
> > Unterberger
> > Sitz der Gesellschaft: München
> > Registergericht: München, HRA 88537
> > WEEE-Reg.-Nr. DE 52984304
> > Persönlich haftende Gesellschafterin: Siemens Networks
> > Management GmbH
> > Sitz der Gesellschaft: München
> > Registergericht: München, HRB 163416
> >
> >
> >
> 
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mmusic

_______________________________________________
mmusic mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mmusic